package ACL2::Localizacion::en;
use base qw(ACL2::Localizacion);
use utf8;

#
#    Message string localization (English version)
#    Copyright (C) 2006-2008 Antonio García Domínguez
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

our %Lexicon = (
    "No se pudo abrir [_1]: [_2]"
      => "Couldn't open [_1]: [_2]",
    "No se pudo localizar el libro [_1] en [_2]" 
      => "Couldn't find the book [_1] at [_2]",
    "No se pudo localizar el fichero de certificación del libro [_1]" 
      => "Couldn't find the certification file for the book [_1]",
    "Invocado método abstracto [_1]"
      => "An abstract method named [_1] was called",
    "La clase [_1] es abstracta" 
      => "[_1] is an abstract class",
    "La clase [_1] no es subclase de [_2]"
      => "The [_1] class doesn't inherit from [_2]",
    "Expresión no equilibrada" 
      => "Unbalanced expression",
    "No hay coincidencia en 'procesarAvisos'" 
      => "No match in 'procesarAvisos'",
    "No hay coincidencia en 'procesarReglas'" 
      => "No match in 'procesarReglas'",
    "No hay coincidencia en 'procesarTiempos'" 
      => "No match in 'procesarTiempos'",
    "No se conoce el procedimiento seguido." 
      => "An unknown demostration method was used.",
    "No se halló el DTD: [_1]" 
      => "Couldn't open the DTD: [_1]",
    "No se halló la relación o la medida" 
      => "Couldn't extract the relation or measure",
    "No se pudieron obtener las acciones de la generalización" 
      => "Couldn't extract the generalization's actions",
    "No se pudieron obtener las partes de la meta." 
      => "Couldn't extract the goal's subelements.",
    "No se pudo obtener la variable." 
      => "Couldn't extract the variable.",
    "No se reconoce el tipo de etiqueta de meta." 
      => "Unknown goal tag.",	
    "No se reconoce la orden" 
      => "Unknown command",
    "No se sigue el esquema conocido de inducción" 
      => "An unknown induction schema has been followed",
    "Paréntesis cerrando sin correspondiente paréntesis abriendo" 
      => "Unbalanced closing parenthesis",
    "Se esperaba => de acuerdo con el nuevo estilo." 
      => "Expected => according to the new style.",
    "Se esperaba el tipo de la función." 
      => "Expected the type for the current function.",	
    "Se esperaba encontrar el plan de inducción." 
      => "Expected the induction plan.",
    "Se esperaba encontrar inducción." 
      => "Expected to find an induction.",
    "Se esperaba la versión de ACL2" 
      => "Expected ACL2's version",
    "Se esperaban las opciones de ACL2" 
      => "Expected ACL2's options",
    "El formato de tiempos no es el esperado"
      => "Couldn't parse the timing section",
    "El formato de reglas no es el esperado"
      => "Couldn't parse the Rules Used section",
    "El formato de avisos no es el esperado"
      => "Couldn't parse the Warnings section",
    "No se pudo obtener la fórmula de la etiqueta [_1]"
      => "Couldn't get the S-formula for the [_1] label",
    "No se reconoce la etiqueta [_1]"
      => "Unknown tag [_1]",
    "Ya se ha registrado la clase [_1]"
      => "Class [_1] has been already registered under the factory",
    "Acceso a [_1] restringido a miembros del paquete [_2]"
      => "Access to [_1] is restricted to members of the [_2] package",
    "No se pudo generar la salida de ACL2 para [_1]"
      => "Couldn't get ACL2's output for [_1]",
    "No se pudo escribir la salida de ACL2 de [_1] en [_2]"
      => "Couldn't write ACL2's output for [_1] into [_2]",
    "Generando [_1]..."
      => "Generating [_1]...",
    "No se pudo cambiar al directorio de la fuente [_1]"
      => "Couldn't chdir into the source's base folder, [_1]",
    "No se pudo cambiar de vuelta al directorio [_1]"
      => "Couldn't chdir back into the [_1] directory",
    "Recibido argumento indefinido"
      => "Received undefined argument",
    "No se encontró un módulo específico o categoría que concordara con [_1]"
      => "No command-specific or command category module was able to parse [_1]",
    "Categoría [_1] equivocada: no es uno de [_2]"
      => "Wrong category ([_1]): not one of [_2]",
    "Could not create temporary file: [_1]"
      => "Could not create temporary file: [_1]",
    "; Prologue added by pprocACL2"
      => "; Prologue added by pprocACL2",
    "; Body dumped from [_1]"
      => "; Body dumped from [_1]",
    "; Epilogue added by pprocACL2"
      => "; Epilogue added by pprocACL2",
    "No input given"
      => "No input given",
    "No offset given"
      => "No offset given",
    "Invalid character found while parsing: '[_1]'"
      => "Invalid character found while parsing: '[_1]'",
    "Found single escape at EOF: expected escaped char"
      => "Found single escape at EOF: expected escaped char",
    "End of file while a token is being accumulated and an "
      . "odd number of multiple escapes have been found"
      => "End of file while a token is being accumulated and an "
         . "odd number of multiple escapes have been found",
    "EOF found while looking for the closing quote of a string"
      => "EOF found while looking for the closing quote of a string",
    "EOF found while looking for closing parenthesis of a list"
      => "EOF found while looking for closing parenthesis of a list",
    "Stray right parent found in input"
      => "Stray right parent found in input",
    "Comma outside any backquoting was found"
      => "Comma outside any backquoting was found",
    "EOF found while looking for the dispatching macro identifier"
      => "EOF found while looking for the dispatching macro identifier",
    "EOF while looking for the end of a block comment (nested [quant,_1,level] deep)"
      => "EOF while looking for the end of a block comment (nested [quant,_1,level] deep)",
    "[_1] does not take any integer arguments"
      => "[_1] does not take any integer arguments",
    "Unknown dispatching macro: '[_1]'"
      => "Unknown dispatching macro: '[_1]'",
    "Parsing error at line [_1]: [_2]"
      => "Parsing error at line [_1]: [_2]",
    "Scanning [_1] for dependencies..."
      => "Scanning [_1] for dependencies...",
    "Parsing decorated proof script [_1]..."
      => "Parsing decorated proof script [_1]...",
    "Could not obtain the path to the distributed books directory "
      . "from ACL2, and the environment variable [_1] is not set"
      => "Could not obtain the path to the distributed books directory "
         . "from ACL2, and the environment variable [_1] is not set",
);

1;

