#|
 | Script for checking that the processor can handle failed termination
 | proofs.
 |#

; Correct version
(defun fact (x)
  (if (zp x)
      1
    (* x (fact (- x 1)))))

; Forgot to take into account that ACL2 functions are total
(defun fact-notipo (x)
  (if (= x 0)
      1
    (* x (fact-notipo (- x 1)))))

; Forgot the base case
(defun fact-nobase (x)
  (if (zp x)
      (fact-nobase 0)
    (* x (fact-nobase (- x 1)))
   ))

; Forgot to decrement x in the recursive call
(defun fact-nosimp (x)
  (if (zp x)
      1
    (* x (fact-nosimp x))))
